Bug 806157 - RFE: Bugzilla from csprocessor
RFE: Bugzilla from csprocessor
Status: CLOSED DEFERRED
Product: PressGang CCMS
Classification: Community
Component: CSProcessor (Show other bugs)
1.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Lee Newson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-23 00:27 EDT by Joshua Wulf
Modified: 2014-10-19 19:00 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-28 22:14:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua Wulf 2012-03-23 00:27:07 EDT
The feature is the ability to open the bugzilla component from the client, and to log a bug from the client.

So:

csprocessor buglist

would do something like:

xdg-open https://bugzilla.redhat.com/buglist.cgi?component=csprocessor&product=Topic+Tool

and:

csprocessor newbug

would so something like:

https://bugzilla.redhat.com/enter_bug.cgi?product=Topic+Tool&component=csprocessor


Rationale:

We have embedded bug listing and bug reporting in the Skynet interface, and it is extremely useful for bug reporting and looking through existing bugs. 

A lot of the csprocessor functionality is documented in the bugzilla component, so easy access to this is important for users.
Comment 1 Joshua Wulf 2012-03-23 00:33:00 EDT
Currently to open bugs, I'm going to my web browser, opening skynet, clicking from there, and changing the component.
Comment 2 Joshua Wulf 2012-03-23 04:06:38 EDT
In the meantime, I've implemented it as bash scripts, with an install and uninstall script:

https://svn.devel.redhat.com/repos/ecs/toolkit/cspbugs

There are two commands:

cspbugs - Opens a list of all csprocessor bugs in a browser
cspnewbug - Opens a new bug report against csprocessor in a browser

To install:

svn co https://svn.devel.redhat.com/repos/ecs/toolkit/cspbugs
cd cspbugs
bash install.sh
source ~/.bashrc
Comment 3 Misty Stanley-Jones 2013-05-28 22:14:03 EDT
I think the bash script is fine for now. Let's use that, and defer this one for now.

Note You need to log in before you can comment on or make changes to this bug.